Subject: bug#59838: 30.0.50; [PATCH] Save history in GDB session

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Dec 2022 14:27:15 +0200

> From: Manuel Giraud <[email-masked]>
> Cc: Manuel Giraud <[email-masked]>,  [email-masked]
> Date: Tue, 06 Dec 2022 11:30:01 +0100
> 
> > Then I think your patch is correct, thanks.
> 
> But as I said, I'm not an expert with comint-mode stuff.  I put
> '(comint-write-input-ring)' at the end of gdb-send because it seems to
> make sense but I don't know for sure.

I think the call should be where the gud buffer is killed or we exit the
debugger, not after each string we send to the debugger.